## isearch-edit 0.0.24

=== Makefile ===
all:
	python2.5 setup.py build  

install:
	python2.5 setup.py install --root $(DESTDIR) 

install-sb:
	python2.5 setup.py install

clean:
	rm -f *~
	rm -f core.*
	rm -f `find -name '*.pyo'`
	python2.5 setup.py clean --all

distclean:
	fakeroot debian/rules clean

=== debian/changelog ===
isearch-edit (0.0.24) unstable; urgency=low

  * Upload to the autobuilder
  * Depend on python2.5-hildon and python2.5-dbus
  * Build-Depend on python2.5-dev and python2.5-hildon-dev

 -- Thomas Schmidt <tschmidt@debian.org>  Wed,  2 Jul 2008 21:44:52 +0200

isearch-edit (0.0.23) unstable; urgency=low

  * fixed closing of about-dialog on chinook

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 29 Dec 2007 00:54:54 +0100

isearch-edit (0.0.22) unstable; urgency=low

  * Now again use ro-activated as signal for opening the icon-select-dialog
  * Removed unused function build_edit_dialog
  * Added explanation for %s to header of URL column

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 18 Nov 2007 17:53:18 +0100

isearch-edit (0.0.21) unstable; urgency=low

  * Now hopefully realy fix the new items :)

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 17 Nov 2007 17:35:26 +0100

isearch-edit (0.0.20) unstable; urgency=low

  * Fixed toolbar

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 17 Nov 2007 17:32:11 +0100

isearch-edit (0.0.19) unstable; urgency=low

  * Included menu and toolbar items to select the icon 

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 17 Nov 2007 17:10:50 +0100

isearch-edit (0.0.18) unstable; urgency=low

  * Removed german translation again - it does not seem to work
  * Moved 48x38 icon from hildon to apps dir
  * REmoved Version entry from desktop-file

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 17 Nov 2007 16:39:50 +0100

isearch-edit (0.0.17) unstable; urgency=low

  * Try to add german translation to desktop file

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 17 Nov 2007 15:26:29 +0100

isearch-edit (0.0.16) unstable; urgency=low

  * Renamed mis-edit to isearch-edit

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 17 Nov 2007 14:17:24 +0100

mis-edit (0.0.15) bora; urgency=low

  * Fixed postinst (again) :)

 -- Thomas Schmidt <tschmidt@debian.org>  Fri, 16 Nov 2007 07:39:17 +0100

mis-edit (0.0.14) bora; urgency=low

  * Now install icons in 26x26, 40x40, 48x48 and 64x64 resolutions under
    /usr/share/icons/hicolor/
  * Create symlinks to Google and Wikipedia-Logos in postinst, not in
    debian/rules, so they will not be removed upon uninstall of the
    package
  * Added backup cfg file, to backup /usr/share/mis/

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 15 Nov 2007 23:49:50 +0100

mis-edit (0.0.13) bora; urgency=low

  * Removed svg icon and added big png icon

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 15 Nov 2007 19:21:32 +0100

mis-edit (0.0.12) bora; urgency=low

  * Try to add svg icon

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 15 Nov 2007 18:10:18 +0100

mis-edit (0.0.11) bora; urgency=low

  * Just depend on python2.5-runtime, not individual python-packages
  * call chown user:users on the Logos directory createt in the home-dir
    in debian/postinst 

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 15 Nov 2007 18:02:44 +0100

mis-edit (0.0.10) bora; urgency=low

  * Hopefully, drag'n'drop of rows is now completely disabled ;-)

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 22:49:37 +0100

mis-edit (0.0.9) bora; urgency=low

  * try to add links to Google and Wikipedia Logos in
    /home/user/MyDocs/.images/Internet-Search-Logos

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 22:28:02 +0100

mis-edit (0.0.8) bora; urgency=low

  * Set max icon size to 95x30px

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 20:38:09 +0100

mis-edit (0.0.7) bora; urgency=low

  * Re-Enabled dbus again
  * Disable message dialog when url can not be parsed (for now) 

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 20:21:33 +0100

mis-edit (0.0.6) bora; urgency=low

  * Try to fix a small problem with empty url's

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 18:23:18 +0100

mis-edit (0.0.5) bora; urgency=low

  * Fixed mis-edit for Bora

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 18:13:06 +0100

mis-edit (0.0.4) bora; urgency=low

  * Fixed debian/rules ;-) 

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 16:43:58 +0100

mis-edit (0.0.3) bora; urgency=low

  * Changed postinst to make /usr/share/mis writable for user (
    change group to users and make it group writable)

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 16:27:18 +0100

mis-edit (0.0.2) bora; urgency=low

  * Test updated debian/postinst

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 16:24:08 +0100

mis-edit (0.0.1) bora; urgency=low

  * Initial Release.

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 14 Nov 2007 15:54:49 +0100

## isearch-edit 0.0.25

=== debian/changelog ===
isearch-edit (0.0.25) unstable; urgency=low

  * Update gtk-icon-cache in debian/postinst for the application icon to
    show up immediately after installation
  * Update project homepage in README file to point to my public git
    repository
  * Added some safety checks for debian/postinst, so the package will work in
    scratchbox too
  * Moved most of the code into the new gui module
  * Rewrote misparser module to be more clean
  * Do not save searches automatically anymore, save them with clicking on
    the save-button or new save menu-item, when quitting, ask to save unsaved
    searches

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 05 Jul 2008 22:32:08 +0200

=== debian/control ===
Source: isearch-edit
Section: user/tools
Priority: optional
Maintainer: Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 4.0.0), python2.5-dev, python2.5-hildon-dev
Standards-Version: 3.6.1

Package: isearch-edit
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5-hildon, python2.5-dbus, maemo-select-menu-location
Description: Edit and add new searches to you search applet
 isearch-edit is a small tool which allows you to edit and add new
 searches to your internet search applet.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wsODw8qA59S
 MQAABp9JREFUSMe9lstvnFcVwH/fcx7feMYeP+Jx4zhxng55FJw2OIE2jVRl
 gYIKO+iCrliAEK8V4i+ADdBVJYTYAkKq2LEBQqFpEqdpkjqu7diOH+NkPJ6x
 Z76Z+Z73u5dFJlAn5bngSlf36Ore89O559xzDvyfhvbvDkxOfh3TNLNWKnXQ
 MM19Mkl6kiS2DcMK0fRGEkcrcRQtT0+/Ff/PoAsXvmMLqb06OFi4PHnm2PHh
 UvFw2jYKSspUO5BBsxNur61WZmZvz98NQ/G7lKVNX7ny0/i/Ap0//60xwzK/
 f/m1l77w4guH96eztrZ/dEjryzu47Tbv3prH6d+L1/Lk9mZdvPOn9xcWZhZ/
 lUj51nt/fbP+tD7j6Y3Pv/w9fWLiwpmx/cNvfuObl7987vzEQCR8zUhntUI+
 x9LiIleu3iRbHEG3HZRuaqePDBjnXjg0mMmmzlUrO4eGS2eur6685/5L0JEj
 nzsycXzsJ199/eIr2b6cmSiFSBQCg3q9TsNXHJx4HpkIdN2gmEmoVdaxU5Y2
 9eIxy3HSx5eWH+4p9p26sr5+w/9E0NTUd41SqfdHb3zt0msnTx7QzZRDqejQ
 dpvYToHi4AjFgQHQdHTTQotapE1J2rY4fHAMy9QZ3duvxbE4/OG9Nfe5kalr
 5fI1BaB/HGSnufDyhU9/6dzUcb037zA64FCv1djcbqGhYdk2lmliGDqGYdDf
 28P46BAnJg6RTacwDANQXHzlZGbi+Mjr6MnpZyyamvp2Kuukf/zDH3zlVC6X
 1qSUTN/6gMXyFuPHTtGTL3RjRyNRCkuT4Df4/Z+vU6nW8ToelmWhAUkiyOcy
 fTem77sjpbPvlMvX5d8t0g0+c+nSmaM9+YzebneYmbtPQ2Q4MXkex+kBTUcB
 CkikouMFBLHglfNnSef3cHulwR9uzLHdcEkSQf9Aj3X48PAkmjwAYD4BWSl7
 8vnT46UPPpxjyw0JhEb/yH6E0rF4TFCATCRJIhnqzbCn0Itp6IwMFhAnRqlU
 twh9nzAIeVTb0QaH8hNqdmMcWPiHj6Qc7unJOneXNnFlDr2nBGYK14vxwoRI
 JERxgh8JlEwoOgam8fh6KmXjZFLknQwrD2vEIkEqiR/LIorCLoviSKSbbse8
 ePZTPNhsU090vEAgJYSRwDY1DB2klOQsjbRt7foWUkoy6RQijihXOkzfniWU
 TkpT2LtAmq4HtY4St64uWYNZxZFxi6E+g2YgeNjSkOgopRCJRJMRZrzDUF8O
 pRS9hTxxHBMEAUf3l5hbWqMW5UgrPULX4l0gdK223ej4TnHI2g4CnIzNodEh
 giBCrGzzoBYTSZ1YSMIoolptorxZwjjhjS+eR1MJvu+TJIKV9Q2CWIIfNVC0
 dv0jlSR3lxbLDx1bJ2VbDBXzAKTTNqcOFDm5N0NGC2l7Pi0votoxWAv6WAuK
 LKw8wvM8PM+julXjj7fW6cv3ylajNQdqdRcoEfL9mZuzGxZStdse2ztNlFIA
 ZFI2x0b7kO4GO9sNWl5IO3gcJB0/YmapQrvdptPpUNncQksPYMlYbVfqs0qy
 vAukaWbT77R/Mf3unaadSnHlTpmV9Yd4nkcURWzV6mw0BDueoNkOcNsBbifA
 9UJCIWm1WriuS9NtMTaQVevza/MiDN7WNNPblRnK5Ws8N3JuvtVovDSyb3i8
 FhpaErboz5l4ns+H80vcWW3TDE38UOCHMX4Q4QcxvabHcA9UNre4NV+h3RTx
 g3vLv330cObnMzO/Tp5JquXyNd3JlDajIJkc2bunP+/oWiEFm1s13r4yw3on
 QyQN/DAm6MLCMCTwfQ71K3aaHTarsZy7vXhzdfnaz8rl63UgBtTTZSLTaK4n
 UthB7IlD+/f2FUqDOe3qrY+4uSaIjAJBFBOEMXEUEocBMvQwVUxW+dxfrMnZ
 O0sLy/dv/HJj4/37QAQEQPI0yE5E6DS2V91Ww918tO7vre90CjhFI1MYIhGC
 JA5RcUBKE/SlYaw/zWDGUPc+WA7v3fno7v35v/ymWp2dU0q1gTbQAeTTpdwE
 +oEhYNC2s6XRfVOXBvcc/OzI+Fjf0EipJ+OkLdPU9cALZMt148pq2a2WN+rV
 6sJ7lUd3poWINoEt4BFQ6YLUJ/UMNtDbBRZBK2YyvaX+/oNHs7mBfYaRyulo
 diKTWIig1XIr5Xp9YVGIsA40gW2g2oV1ugn/nzYnBpAGnC600JXTgPWxIBJd
 P3iACzS6a6cbBP9xX6d3lRrdZ7W7sv6kNHUVxl35yXxm/A3CJm/RevaWeAAA
 AABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NAME=isearch-edit

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(NAME)
	cp -R images/icons $(CURDIR)/debian/$(NAME)/usr/share/

	mkdir -p $(CURDIR)/debian/$(NAME)/etc/osso-backup/applications
	cp $(NAME).conf $(CURDIR)/debian/$(NAME)/etc/osso-backup/applications/
	
	dh_install

binary-indep: build install
	dh_testdir 
	dh_testroot 
	dh_installchangelogs
	dh_fixperms 
	dh_installdeb
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## isearch-edit 0.0.26

=== debian/changelog ===
isearch-edit (0.0.26) diablo; urgency=low

  * Mark search as edited only if a new icon was selected, not always when the
    icon-selection-dialog was opened

 -- Thomas Schmidt <tschmidt@debian.org>  Wed,  6 Aug 2008 22:44:00 +0200
